/*
 *  Copyright (C) 2008 Patrik Gornicz, Gornicz_P (at) hotmail (dot) com.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef POLYGON_H
#define POLYGON_H

#include <bear/Vector2.h>
using namespace bear;

#include "PhysicsEntity.h"

#include <vector>
using std::vector;


/// ***** Header Class *****

class Polygon: public PhysicsEntity
{
    public:
        Polygon(const vector<Vector2>&, const float* color);
        virtual ~Polygon();

        virtual void draw() const;

    //protected:
        Vector2 m_maxP; // stores the max bounding box point
        Vector2 m_minP; // stores the min bounding box point

        vector<Vector2> m_points;

        const float* m_color;
        
    private:
        void createBindingBox();
        void centerPosition();
};

#endif // POLYGON_H
